POST
/cqy/getOrder开放/回调对接方 CQY(代号待业务确认)-获取订单 · getOrder 推断名·方法名推断
开放与对接 / 对接方 CQY(代号待业务确认)
基本信息
- 接口状态前端在用 免鉴权
- 接口URLPOST
https://dscp-dev.hn12301.net/open-api/cqy/getOrder - 请求方式
POST - Content-Type
application/json - 暴露渠道开放/回调 前缀
/open-api - 名称来源方法名推断
- 调用方已确认在用 · 湘工惠商城(1 个前端)
- 需求上下文
- 维护人 / 最后改动liuxu 2026-03-23
- 读写数据表
order_goods、order_payment、openapi_cqy_record、sku、goods_info反查该表全部接口 → - 控制器
com.jxxx.dscp.api.controller.openapi.OpenapiCqyRecordController#getOrder - 源码位置
jxxx-dscp/dscp-service-business/src/main/java/com/jxxx/dscp/api/controller/openapi/OpenapiCqyRecordController.java:531 - 判定依据
请求参数
Header 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无(渠道统一鉴权头见《认证方式》) | ||||
Query 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
路径参数及说明
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
Body 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| orderNo | … | 否 | String |
认证方式
响应参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| order | … | 否 | Order | |
| id | … | 否 | Long | id → order_payment.id |
| orderId | … | 否 | Long | 订单Id,主键 → order_payment.order_id |
| merchantId | … | 否 | Long | 商户Id,merchant表Id → sku.merchant_id |
| shopId | … | 否 | Long | 商铺Id,shop表Id → sku.shop_id |
| memberId | … | 否 | Long | 会员用户Id |
| orderType | … | 否 | OrderType | 订单类型,1旅游年卡,2美食特产,3生活好物,4自驾路线,5非遗专区,6景区套票,7酒店民宿,8餐饮美食 1=景区套票 2=酒店民宿 3=餐饮美食 4=美食特产 5=自驾路线 6=非遗专区 7=旅游卡 8=旅游卡 |
| orderSource | … | 否 | OrderSource | 订单来源,1H5,2微信小程序,3支付宝小程序,4安卓APP,5IOSAPP 1=H5 2=微信小程序 3=支付宝小程序 4=安卓APP 5=IOSAPP 6=YOUZHENG 7=XIANGGONGHUI 8=XIANGYUEMA 9=ZHIHUIYOU 10=BCM 11=JIANHANG 24=MEIKE |
| buyNum | … | 否 | Integer | 购买份数 |
| orderAmount | … | 否 | Integer | 订单金额(订单原始金额) |
| receivableAmount | … | 否 | Integer | 应收金额 |
| payableAmount | … | 否 | Integer | 实收金额 |
| reducedPrice | … | 否 | Integer | 优惠金额 |
| expressAmount | … | 否 | Integer | 运费金额 |
| discountAmount | … | 否 | Integer | 折扣金额 |
| isDelivery | … | 否 | Integer | 是否配送(0=否;1=是) → order_goods.is_delivery |
| payStatus | … | 否 | PayStatus | 支付状态,1=待支付 2=已支付 3=已退款 1=待支付 2=已支付 3=已退款 4=退款失败 5=退款中 6=退款申请 |
| orderStatus | … | 否 | OrderStatus | 订单状态,1=待确认 2=已确认 3=待发货 4=已发货 5=已完成 6=已取消 1=待支付 2=待发货 3=已发货 4=已完成 5=已取消 6=退款中 7=已退款 |
| orderPhone | … | 否 | String | 下单人手机 |
| orderRemark | … | 否 | String | 订单备注 |
| orderTime | … | 否 | Date | 下单时间 |
| orderExpressTime | … | 否 | Date | 订单失效时间 |
| isSendIntegral | … | 否 | Integer | 订单积分是否已发放(0=否 1=是) |
| isComment | … | 否 | Integer | 订单是否已经评价(0=否;1=是) |
| isProfitSharing | … | 否 | Integer | 订单资金是否已冻结(0=已冻结 1=已解冻) |
| isSendCommission | … | 否 | SendCommission | 订单佣金是否已发放,0=否 1=是 2=无佣金 0=否 1=是 2=无佣金 |
| icode | … | 否 | String | 分销邀请码 |
| shouldReturnCommission | … | 否 | Integer | 应返佣金 |
| reallyReturnCommission | … | 否 | Integer | 实返佣金 |
| createdBy | … | 否 | String | 创建人id → order_payment.created_by |
| createdTime | … | 否 | LocalDateTime | 创建时间 → order_payment.created_time |
| updatedBy | … | 否 | String | 更新人id → order_payment.updated_by |
| updatedTime | … | 否 | LocalDateTime | 更新时间 → order_payment.updated_time |
| orderGoods | … | 否 | OrderGoods | |
| id | … | 否 | Long | → order_payment.id |
| orderId | … | 否 | Long | 订单号,order表id → order_payment.order_id |
| goodsId | … | 否 | Long | 产品id,goods表id → order_goods.goods_id |
| goodsName | … | 否 | String | 产品名称 → order_goods.goods_name |
| goodsSkuId | … | 否 | Long | 产品SKU id,sku表id → order_goods.goods_sku_id |
| goodsSkuName | … | 否 | String | 产品SKU → order_goods.goods_sku_name |
| skuPrice | … | 否 | Integer | 产品SKU销售价 → order_goods.sku_price |
| isDelivery | … | 否 | Integer | 是否需要配送(0=否 1=是) → order_goods.is_delivery |
| isIntegral | … | 否 | Integer | 是否产生积分(0=否 1=是) → order_goods.is_integral |
| integralRate | … | 否 | BigDecimal | 积分倍率 → order_goods.integral_rate |
| createdBy | … | 否 | String | 创建人id → order_payment.created_by |
| createdTime | … | 否 | LocalDateTime | 创建时间 → order_payment.created_time |
| updatedBy | … | 否 | String | 更新人id → order_payment.updated_by |
| updatedTime | … | 否 | LocalDateTime | 更新时间 → order_payment.updated_time |
| goods | … | 否 | Goods | |
| id | … | 否 | Long | 商品id,主键 → order_payment.id |
| merchantId | … | 否 | Long | 所属商户id,关联merchant表id → sku.merchant_id |
| shopId | … | 否 | Long | 所属商铺id → sku.shop_id |
| name | … | 否 | String | 商品名称 |
| cardModelId | … | 否 | Long | 旅游卡ID,关联旅游卡表id |
| mainPic | … | 否 | String | 商品主图 |
| typeId | … | 否 | String | 商品大类 |
| subTypeId | … | 否 | String | 商品小类 |
| grade | … | 否 | String | 商品等级 |
| status | … | 否 | GoodsStatus | 商品状态,1正常,2编辑中,3已下架 → order_payment.status 1=已上架 2=编辑中 3=已下架 |
| qrcode | … | 否 | String | 商品二维码 |
| isDeleted | … | 否 | Boolean | 是否删除 → sku.is_deleted |
| createdBy | … | 否 | Long | 创建人 → order_payment.created_by |
| createdTime | … | 否 | Date | 创建时间 → order_payment.created_time |
| updatedBy | … | 否 | Long | 修改人 → order_payment.updated_by |
| updatedTime | … | 否 | Date | 修改时间 → order_payment.updated_time |
| thirdId | … | 否 | String | 第三方id |
| thirdName | … | 否 | String | 第三方名称 |
| sku | … | 否 | Sku | |
| id | … | 否 | Long | 商品skuID,主键 → order_payment.id |
| merchantId | … | 否 | Long | 所属商户id → sku.merchant_id |
| shopId | … | 否 | Long | 所属商铺id → sku.shop_id |
| goodsId | … | 否 | Long | 商品ID,关联商品表id → order_goods.goods_id |
| goodsChannelId | … | 否 | Long | 关联商品渠道id → sku.goods_channel_id |
| skuName | … | 否 | String | sku名称 → sku.sku_name |
| showPrice | … | 否 | Integer | 商品挂牌价 → sku.show_price |
| buyPrice | … | 否 | Integer | 商品实际售价 → sku.buy_price |
| costPrice | … | 否 | Integer | 商品成本价 → sku.cost_price |
| buyCount | … | 否 | Integer | 单次可购买数量 → sku.buy_count |
| stock | … | 否 | Integer | 库存数量 → sku.stock |
| isLogistic | … | 否 | Boolean | 是否需要物流 → sku.is_logistic |
| carriageId | … | 否 | Long | 物流模版ID,关联carriage表id → sku.carriage_id |
| mold | … | 否 | GoodsMold | 商品状态,1实物商品,2虚拟商品,3电子卡券 → sku.mold 1=实物商品 2=虚拟商品 3=电子卡券 |
| isDistributes | … | 否 | Boolean | 是否可分销 → sku.is_distributes |
| commission | … | 否 | Integer | 分销佣金 → sku.commission |
| isPreferential | … | 否 | Boolean | 是否可使用优惠券 → sku.is_preferential |
| isUseScore | … | 否 | Boolean | 是否可使用积分抵扣 → sku.is_use_score |
| isAddScore | … | 否 | Boolean | 购买后是否产生积分 → sku.is_add_score |
| useScoreRate | … | 否 | BigDecimal | 抵扣积分倍率 → sku.use_score_rate |
| addScoreRate | … | 否 | BigDecimal | 产生积分倍率 → sku.add_score_rate |
| cardNum | … | 否 | Integer | 发卡数量,仅旅游卡商品 → sku.card_num |
| isDeleted | … | 否 | Boolean | 是否删除 → sku.is_deleted |
| createdBy | … | 否 | String | 创建人id → order_payment.created_by |
| createdTime | … | 否 | Date | 创建时间 → order_payment.created_time |
| updatedBy | … | 否 | String | 更新人id → order_payment.updated_by |
| updatedTime | … | 否 | Date | 修改时间 → order_payment.updated_time |
| goodsInfo | … | 否 | GoodsInfo | |
| id | … | 否 | Long | 商品id,主键 → order_payment.id |
| shortName | … | 否 | String | 商品简称 → goods_info.short_name |
| weight | … | 否 | Integer | 商品权重 → goods_info.weight |
| tags | … | 否 | String | 商品标签 → goods_info.tags |
| businessTime | … | 否 | String | 营业时间 → goods_info.business_time |
| recommendReason | … | 否 | String | 推荐理由 → goods_info.recommend_reason |
| introduction | … | 否 | String | 简介 → goods_info.introduction |
| propagatePic | … | 否 | String | 宣传图片url地址 → goods_info.propagate_pic |
| video | … | 否 | String | 宣传视频url地址 → goods_info.video |
| notice | … | 否 | String | 购买须知 → goods_info.notice |
| tips | … | 否 | String | 温馨提示 → goods_info.tips |
| expireDate | … | 否 | Date | → goods_info.expire_date |
| isRefund | … | 否 | Boolean | → goods_info.is_refund |
| isDeleted | … | 否 | Boolean | 是否删除 → sku.is_deleted |
| createdBy | … | 否 | String | 创建人id → order_payment.created_by |
| createdTime | … | 否 | LocalDateTime | 创建时间 → order_payment.created_time |
| updatedBy | … | 否 | String | 更新人id → order_payment.updated_by |
| updatedTime | … | 否 | LocalDateTime | 更新时间 → order_payment.updated_time |
| paymentList | … | 否 | List<OrderPayment> | |
| id | … | 否 | Long | → order_payment.id |
| orderId | … | 否 | Long | 订单号,order表id → order_payment.order_id |
| paymentType | … | 否 | PaymentType | 交易类型,1=收款 2=退款 3=红冲 4=返佣 5=抵扣 6=手续费 → order_payment.payment_type 1=收款 2=退款 3=红冲 4=返佣 5=抵扣 6=手续费 |
| paymentMode | … | 否 | PaymentMode | 交易方式,1=积分 2=优惠券 3=微信 4=支付宝 5=工商银行 6=其他 → order_payment.payment_mode 1=积分 2=优惠券 3=微信 4=支付宝 5=工商银行 6=其他 7=湘工惠 8=建行 |
| paymentAmount | … | 否 | Integer | 交易金额 → order_payment.payment_amount |
| paymentCurrency | … | 否 | Integer | 交易币种(1=人民币) → order_payment.payment_currency |
| transactionNo | … | 否 | String | 支付中心otg的交易流水 → order_payment.transaction_no |
| remark | … | 否 | String | 备注(如:积分抵扣,优惠券抵扣) → order_payment.remark |
| status | … | 否 | Integer | 状态(1=成功 ) → order_payment.status |
| createdBy | … | 否 | String | 创建人id → order_payment.created_by |
| createdTime | … | 否 | Date | 交易时间 → order_payment.created_time |
| updatedBy | … | 否 | String | 更新人id → order_payment.updated_by |
| updatedTime | … | 否 | Date | → order_payment.updated_time |
| cqyRecord | … | 否 | OpenapiCqyRecord | |
| id | … | 否 | Long | id → order_payment.id |
| orgId | … | 否 | String | 单位id → openapi_cqy_record.org_id |
| mobile | … | 否 | String | 手机号 → openapi_cqy_record.mobile |
| userName | … | 否 | String | 姓名 → openapi_cqy_record.user_name |
| actName | … | 否 | String | 活动名称 → openapi_cqy_record.act_name |
| couponType | … | 否 | String | 券类型 → openapi_cqy_record.coupon_type |
| couponNumber | … | 否 | String | 券号 → openapi_cqy_record.coupon_number |
| couponStatus | … | 否 | Integer | 券状态 0=领取失败 1=领取成功 2=退票 3=核销成功 4=已过期 5=已使用 → openapi_cqy_record.coupon_status |
| amount | … | 否 | String | 累计发放金额 → openapi_cqy_record.amount |
| getTime | … | 否 | Date | 领取日期 → openapi_cqy_record.get_time |
| consumeTime | … | 否 | Date | 核销日期 → openapi_cqy_record.consume_time |
| orderId | … | 否 | String | 订单号 → order_payment.order_id |
| goodsId | … | 否 | Long | 产品id → order_goods.goods_id |
| goodsName | … | 否 | String | → order_goods.goods_name |
| createTime | … | 否 | Date | 创建日期 → openapi_cqy_record.create_time |
| updateTime | … | 否 | Date | 更新时间 → openapi_cqy_record.update_time |
| remark | … | 否 | String | → order_payment.remark |
| checkerId | … | 否 | Long | 核销人id → openapi_cqy_record.checker_id |
| checkerName | … | 否 | String | 核销人员姓名 → openapi_cqy_record.checker_name |
| qrCode | … | 否 | String |
响应示例
成功响应示例
{
"errcode": 0,
"errmsg": "",
"data": {
"order": "…",
"id": "1",
"orderId": "1",
"merchantId": "1",
"shopId": "1",
"memberId": "1",
"orderType": "1",
"orderSource": "1",
"buyNum": "1",
"orderAmount": "1",
"receivableAmount": "1",
"payableAmount": "1"
}
}附录 · 实现细节
调用链 / 数据表 / 调用点证据 / 源码注释 / 逻辑摘要
涉及数据表:order_goods、order_payment、openapi_cqy_record、sku、goods_info 反查全部引用接口 →
- OpenapiCqyRecordController#getOrder
- OrderGoodsService#mustGet(OrderGoodsServiceImpl)
- OrderGoodsMapper#mustGet
- OrderPaymentService#queryList(OrderPaymentServiceImpl)
- OrderPaymentMapper#queryList
其它依赖:OrderGoodsService.mustGet、GoodsCache.get
逻辑摘要:调用 mustGet(orderGoodsService.mustGet);查询详情(orderService.get);查询详情(openapiCqyRecordService.get)
源码内联注释(旧站解析结果)
- 查询出旅游卡订单关联的商品信息
- 根据商品ID查询出商品信息
旧站环境备注:pro:(仓库 .env.pro 指向 uat;生产域名未确认,此处沿用 uat 主机示意)
调用点证据
xghmall/common/http.api.js:82湘工惠商城 · getCqyOrderUrl